Connect integration resource to project
POST
https://api.vercel.com/v1/integrations/installations/{integrationConfigurationId}/resources/{resourceId}/connectionsConnects an integration resource to a Vercel project. This endpoint establishes a connection between a provisioned integration resource (from storage APIs like
POST /v1/storage/stores/integration/direct) and a specific Vercel project.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { await vercel.integrations.connectIntegrationResourceToProject({ integrationConfigurationId: "<id>", resourceId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
}
run();Response
{}AuthorizationbearerToken
Default authentication mechanism